"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.functionTemplateContributorFactory = void 0;
const helloWorldProvider_1 = require("./providers/helloWorldProvider");
const crudProvider_1 = require("./providers/crudProvider");
const serverlessProvider_1 = require("./providers/serverlessProvider");
const triggerProvider_1 = require("./providers/triggerProvider");
exports.functionTemplateContributorFactory = context => {
    return {
        contribute: request => {
            switch (request.selection) {
                case 'hello-world': {
                    return helloWorldProvider_1.provideHelloWorld();
                }
                case 'crud': {
                    return crudProvider_1.provideCrud(context);
                }
                case 'serverless': {
                    return serverlessProvider_1.provideServerless();
                }
                case 'trigger': {
                    return triggerProvider_1.provideTrigger(context);
                }
                default: {
                    throw new Error(`Unknown template selection [${request.selection}]`);
                }
            }
        },
    };
};
//# sourceMappingURL=index.js.map